spring:
  main:
    web-environment: false  #禁用Web环境
    allow-circular-references: true
  application:
    name: outpatient-rpc
    # redis 配置
  redis:
    enable: true # 开启redis
    host: @redis.host@
    port: @redis.port@
  jpa:
    hibernate:
      ddl-auto: none
      naming-strategy: org.hibernate.cfg.EJB3NamingStrategy
    show-sql: true
    database-platform: org.hibernate.dialect.MySQL5Dialect
  data:
    jpa:
      repositories:
        enabled: true
  # datasource 配置
  datasource:
    ywtcenter:
      jdbcUrl: jdbc:mysql://rm-wz9a76b4u608w6f0efo.mysql.rds.aliyuncs.com:3306/ywt_center?characterEncoding=utf8&useSSL=false&useOldAliasMetadataBehavior=true&autoReconnect=true
      driver-class-name: com.mysql.jdbc.Driver
      username: ywt_qa
      password: Ywtqa123456x*#
      initialSize: 10
      maxActive: 2000
      minIdle: 1
      maximumPoolSize: 200
      autoCommit: true
      poolName: HikariPool_center
      maxLifetime: 1800000
      connectionTestQuery: SELECT 1
#dubbo 相关配置
dubbo:
  application:
    logger: slf4j
    qos-enable: false
    register-mode: instance
  registry:
    address: nacos://@nacos.address@
    parameters:
      namespace: @nacos.namespace@
  protocol:  #协议  消费者端可不配置
    name: tri  #远triple协议
    port: 20003  #端口
  consumer:
    #远程服务调用重试次数，不包括第一次调用，不需要重试请设为0
    retries: 0
    check: false

#redission 配置
redisson:
  enable: true  #开启redission
  model: single  # 单机模式
  host: @redis.host@
  port: @redis.port@




